%define upstream_name	 OpenOffice-OODoc
%define upstream_version 2.125

#(nl) this 2 requires are not needed, they are on a exemple file only
%define _requires_exceptions  perl(Tk::Dialog)\\|perl(Tk) 

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/OpenOffice/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Archive::Zip)
BuildRequires:	perl(XML::Twig)

BuildArch:	noarch


%description
A library for Open Document processing

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENCE README META.yml
%{_bindir}/*
%{perl_vendorlib}/OpenOffice
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.125.0-2.mga3
+ Revision: 371150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.125.0-1.mga1
+ Revision: 34857
- fix filename in %%doc
- mageia rebuild
- imported package perl-OpenOffice-OODoc

